<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TransportInfoType StructType
 * @package Dg
 * @subpackage Structs
 */
class DgTransportInfoType extends AbstractStructBase
{
    /**
     * The TransportInfo
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgTransportInfo
     */
    public $TransportInfo;
    /**
     * Constructor method for TransportInfoType
     * @uses DgTransportInfoType::setTransportInfo()
     * @param \dgsoft\StructType\DgTransportInfo $transportInfo
     */
    public function __construct(\dgsoft\StructType\DgTransportInfo $transportInfo = null)
    {
        $this
            ->setTransportInfo($transportInfo);
    }
    /**
     * Get TransportInfo value
     * @return \dgsoft\StructType\DgTransportInfo|null
     */
    public function getTransportInfo()
    {
        return $this->TransportInfo;
    }
    /**
     * Set TransportInfo value
     * @param \dgsoft\StructType\DgTransportInfo $transportInfo
     * @return \dgsoft\StructType\DgTransportInfoType
     */
    public function setTransportInfo(\dgsoft\StructType\DgTransportInfo $transportInfo = null)
    {
        $this->TransportInfo = $transportInfo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgTransportInfoType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
